#!/bin/bash
set -e

name=beust-jcommander
version="$(sed -n 's/Version:\s*//p' *.spec)"

# RETRIEVE
wget "https://github.com/cbeust/jcommander/archive/${version}.tar.gz" -O "${name}-${version}.orig.tar.gz"

rm -rf tarball-tmp
mkdir tarball-tmp
cd tarball-tmp
tar zxf "../${name}-${version}.orig.tar.gz"

# CLEAN TARBALL
rm -r */gradle* */kobalt* */lib

tar zcf "../${name}-${version}.tar.gz" *
cd ..
rm -r tarball-tmp "${name}-${version}.orig.tar.gz"
